package com.yida.data.job.task;

import com.yida.data.system.feign.RemoteDeptService;

import org.springframework.stereotype.Component;

import lombok.RequiredArgsConstructor;

@Component
@RequiredArgsConstructor
public class SysTask {
    private final RemoteDeptService remoteDeptService;

    /**
     * 同步企业微信部门
     */
    public void syncQywxDept() {
        remoteDeptService.syncQywxDept();
    }

    /**
     * 处理挂在学校下的部门
     */
    public void dealNoParentDept() {
        remoteDeptService.dealNoParentDept();
    }
}
